classification
Title: Python 2.5 installer ended prematurely
Type: Stage:
Components: Installation Versions: Python 2.5
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: loewis Nosy List: loewis, miclav, techtonik
Priority: normal Keywords:

Created on 2007-04-04 10:03 by miclav, last changed 2008-01-18 15:47 by techtonik. This issue is now closed.

Files
File name Uploaded Description Edit
python.zip miclav, 2007-04-04 10:03 zip of python.log, for python-25.msi run from C:\ in WinXP
Messages (5)
msg31699 - (view) Author: Miclav (miclav) Date: 2007-04-04 10:03
Hello,

I could not install Python 2.5 on 2 machines running Windows XP. I wanted to install it into P:\Programs\languages\python

When I run it from P:\Proginst\languages\python, the installation fails very early : just after the "Customize Python 2.5" panel, when I click on "Next", I get almost instantly a panel "Python 2.5 installer ended prematurely" with a Finish button to exit installer.

When I run the msi file from C:\ as indicated in other bug report on the same subject, I can go further but it fails also : I get first a panel "Install Python 2.5", and some files are copied (as implied by the green status bar) but after a while it stops with a panel saying "The specified path is too long : P:\Programs" and 2 buttons to retry or cancel installation. Retry brings again to this panel so I must cancel. 

I was unable to find a solution, and I generated a python.log file (for the installation from C:\) that I join as attached file.

 On a third machine with Windows 2000 I succeeded in installing Python 2.5 in P:\Programs\languages\python from P:\Proginst\languages\python, so maybe the problem comes from WinXP? In both cases (XP and 2000) I use Zone Alarm as firewall (for XP, with XP firewall desactivated).

The only solution I found up to now is to install Python 2.2 (which uses another installer). I would be very happy if you could switch to an Open Source installation program (not commercial) so that everything in the behaviour of installation program can be known and under control. From the python.log file, I suspect that msi installer in WinXP might use some spy program, or it may in future versions of Windows. The installation with msi installer is much too fragile, and it might make fragile all Open Source programs based on Python : before trying to install Python, I had  tried to install the programm Leo, which is an editor written in Python that installs Python as a first step if it is not already installed. And I failed also to install Leo, with the same error (path P:\programs too long").

I would suggest to switch to NSIS ("Nullsoft Installer"), which is Open Source. I use it to distribute my own programs, and I found it excellent. I found further that many other Open Source programs are using this installer, and it always worked like a charm on all my machines. It seems much more robust that msi installer.
msg31700 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2007-04-04 18:11
Is P a subst'ed drive, by any chance?
msg55590 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2007-09-02 19:52
Closing because of lack of feedback. (it may be that I got feedback in
private mail off-tracker; I don't remember).
msg60017 - (view) Author: anatoly techtonik (techtonik) Date: 2008-01-17 06:37
The similar issue is just reported -
http://img106.imageshack.us/img106/6892/pythonjo4.png
msg60096 - (view) Author: anatoly techtonik (techtonik) Date: 2008-01-18 15:47
It appears to be well known issue with MSI installer which is unable to
handle subst'ed drives correctly.
History
Date User Action Args
2008-01-18 15:47:41techtoniksetmessages: + msg60096
2008-01-17 06:37:54techtoniksetnosy: + techtonik
messages: + msg60017
2007-09-02 19:52:52loewissetstatus: open -> closed
resolution: works for me
messages: + msg55590
2007-04-04 10:03:57miclavcreate